#include "glesp.h"

extern void a_lm__(int *, int *, int *, double *, double *, double *,
	  int *, int *, int *, double *, double *, double *, int *,
	  double *, double *, double *, double *,
	  int *, int *, int *);
extern void sig_phi_(int *, int *, int *, int*, int *, int *,
	  double *, double *, double *, double *, double *, double *);
extern void sig_fast3_(int *, int *, int *, int *, int *, int *,
	  double *, double *, double *, double *, double *);
extern void alm_phi_(int *, int *, int *, int *, double *, int *, int *,
	  double *, double *, double *, double *, double *);
extern void alm_fast3_(int *, int *, int *, int *, int *,
	  double *, int *, double *, double *, double *,
	  double *, double *);

void a_lm_(Lmn, Lmx, Nx, Vnyq, eps, phi2, Nmx, Nmphi, Jmx, x,pw,f,Nph,
	 wsave,cf,apm,bpm, fft_flag, sym_grid, legendre_calc_scheme)
int *Lmn, *Lmx, *Nx;
double *Vnyq, *eps, *phi2;
int *Nmx, *Nmphi, *Jmx;
double *x, *pw, *f;
int *Nph;
double  *wsave, *cf, *apm, *bpm;
int  *fft_flag, *sym_grid, *legendre_calc_scheme;
{
    a_lm__(Lmn,Lmx,Nx,Vnyq,eps,phi2, Nmx,Nmphi,Jmx, x,pw,f,Nph,
	      wsave,cf,apm,bpm, fft_flag, sym_grid, legendre_calc_scheme);
    return;
}

void sig_phi__(Nmx,Nmp,Jmx,Lmx, Nx,Nph,cf,phi2,apm,bpm,wsave,f)
int *Nmx, *Nmp, *Jmx, *Lmx, *Nx, *Nph;
double *cf, *phi2, *apm, *bpm, *wsave, *f;
{
    sig_phi_(Nmx,Nmp,Jmx,Lmx, Nx,Nph,cf,phi2,apm,bpm,wsave,f);
}

void sig_fast3__(Nmx,Nmp,Jmx, Lmx,Nx,Nph,apm,bpm,cf,f,wsave)
int *Nmx, *Nmp, *Jmx, *Lmx, *Nx, *Nph;
double *cf, *apm, *bpm, *wsave, *f;
{
    sig_fast3_(Nmx,Nmp,Jmx, Lmx,Nx,Nph,apm,bpm,cf,f,wsave);
}

void alm_phi__(Nmx,Nmp,Jmx,Lmx, Vnyq,Nx,Nph,f,phi2,wsave,apm,bpm)
int *Nmx, *Nmp, *Jmx, *Lmx, *Nx, *Nph;
double *Vnyq, *phi2, *apm, *bpm, *wsave, *f;
{
    alm_phi_(Nmx,Nmp,Jmx,Lmx, Vnyq,Nx,Nph,f,phi2,wsave,apm,bpm);
}

void alm_fast3__(Nmx,Nmp,Nx,Jmx,  Lmx,Vnyq,Nph,f,cf,apm,bpm,wsave)
int *Nmx, *Nmp, *Jmx, *Lmx, *Nx, *Nph;
double *Vnyq, *cf, *apm, *bpm, *wsave, *f;
{
    alm_fast3_(Nmx,Nmp,Nx,Jmx,  Lmx,Vnyq,Nph,f,cf,apm,bpm,wsave);
}
