#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define PR      fprintf
#define ER      stderr
char file1[81], file2[81];

char *myname="difphase";
int main(argc, argv)
int argc;
char **argv;
{
     register int l, k;
     double *cpl1 = (double *)0,   *cl1 = (double *)0;
     double *cpl2 = (double *)0,   *cl2 = (double *)0;
     int lmax1, lmax2, lm;
     FILE *fp1, *fp2;
     FILE *fp_out=stdout;
     double s = 0.;
     char str[81];
     int flag = 1;

     strcpy(file1, argv[1]);
     strcpy(file2, argv[2]);

     fp1 = fopen(file1, "r");
     fp2 = fopen(file2, "r");

     lm = lmax1 < lmax2 ? lmax1 : lmax2;

     while(flag) {
	  int l0, m0; double ph1, ph2, dph;
	  if ( fgets(str, 81, fp1) == NULL)  {flag = 0; break; }
	  sscanf(str, "%d%d%lf", &l0, &m0, &ph1);
	  if (fgets(str, 81, fp2) == NULL)  {flag = 0; break; }
	  sscanf(str, "%d%d%lf", &l0, &m0, &ph2);

	  dph = ph2-ph1;
	  if (dph < 0.) dph += 2.*M_PI;
	  PR(fp_out, "%3d %3d  %14.6e\n", l0,  m0, dph);
     }

     exit(0);
}
