/* type of markers (see also PSCPL.H)   */
#define    XPM_POINT                   0  /* point;                      */
#define    XPM_X                       1  /* X;                          */
#define    XPM_CROSS                   2  /* plus '+';                   */
#define    XPM_CIRCLE                  3  /* empty  circle;              */
#define    XPM_F_CIRCLE                4  /* filled circle;              */
#define    XPM_RHOMB                   5  /* empty  rhomb;               */
#define    XPM_F_RHOMB                 6  /* filled rhomb;               */
#define    XPM_SQUARE                  7  /* empty  square;              */
#define    XPM_F_SQUARE                8  /* filled square;              */
#define    XPM_TRIANG_DOWN             9  /* empty  triangular down;     */
#define    XPM_F_TRIANG_DOWN          10  /* filled triangular down;     */
#define    XPM_TRIANG_UP              11  /* empty  triangular up;       */
#define    XPM_F_TRIANG_UP            12  /* filled triangular up;       */
#define    XPM_TRIANG_LEFT            13  /* empty  triangular left;     */
#define    XPM_F_TRIANG_LEFT          14  /* filled triangular left;     */
#define    XPM_TRIANG_RIGHT           15  /* empty  triangular right;    */
#define    XPM_F_TRIANG_RIGHT         16  /* filled triangular right;    */
#define    XPM_ARROW_DOWN             17  /* arrow down;                 */
#define    XPM_ARROW_UP               18  /* arrow up;                   */
#define    XPM_ARROW_LEFT             19  /* arrow left;                 */
#define    XPM_ARROW_RIGHT            20  /* arrow right;                */
#define    XPM_PENT_STAR              21  /* pentagon star               */
#define    XPM_F_PENT_STAR            22  /* filled pentagon star        */
#define    XPM_ASTERISK               23  /* asterisk                    */
#define    XPM_SOLOMON_STAR           24  /* Solomon's star              */
#define    XPM_F_SOLOMON_STAR         25  /* filled Solomon's star       */

#define    XPM_FAT_RIGHT_DOWN_ARROW   35  /* fat right-down arrow        */
#define    XPM_F_FAT_RIGHT_DOWN_ARROW 36  /* filled fat right-down arrow */
#define    XPM_FAT_LEFT_DOWN_ARROW    37  /* fat left-down arrow         */
#define    XPM_F_FAT_LEFT_DOWN_ARROW  38  /* filled fat left-down arrow  */
#define    XPM_FAT_DOWN_ARROW         39  /* fat down arrow              */
#define    XPM_F_FAT_DOWN_ARROW       40  /* filled fat down arrow       */

#define    XPM_U_RIGHT_DOWN_ARROW     55  /* usual right-down arrow        */
#define    XPM_F_U_RIGHT_DOWN_ARROW   56  /* filled usual right-down arrow */
#define    XPM_U_LEFT_DOWN_ARROW      57  /* usual left-down arrow         */
#define    XPM_F_U_LEFT_DOWN_ARROW    58  /* filled usual left-down arrow  */
#define    XPM_U_DOWN_ARROW           59  /* usual down arrow              */
#define    XPM_F_U_DOWN_ARROW         60  /* filled usual down arrow       */

extern void point_gd(int, int);
extern void f_pol_gd (int *, int);
extern void p_line_gd(int *, int);
extern void fcircle_gd(int, int, int);
extern void pointm_gd(int, int, int, int);
extern void marker_gd(int, int);
extern void openpl_gd(int *, int, int), closepl_gd(void), setcol_i(int),
	    t2mol(double *, int, int, double *, int *, double **, int, int,
		   double, int **),
	    set_gdlim(double,double), map2img(double*, int*, int,int, int *),
	    color_bar(int *, int **), map2file(int *, char *);
extern int st2mark(char *);
extern void set_gd_font_size(int);
extern void set_img_size(int,int);

extern  int n_colors(void);
extern  int *get_r_color(void);
extern  int *get_b_color(void);
extern  int *get_g_color(void);
