        SUBROUTINE sig_fast3(Nmx,Nmp,Jmx,
     +       Lmx,Nx,Nph,apm,bpm,c,f,wsave)
C   fast loop over m - SUM_m[a_{lm}e^{i m phi}]
      IMPLICIT REAL*8(a-h,o-y),COMPLEX*16(z)
      DIMENSION f(Nmx,Nmp),Nph(Nmx)
      DIMENSION c(Nmp),wsave(2*Nmp+15)
      DIMENSION apm(0:Jmx,Nmx),bpm(0:Jmx,Nmx)

        DO ix=1,Nx      !  loop over x
          c(1)=dsqrt(2.)*apm(0,ix)
          ic=1
          DO ip=1,Lmx
            ic=ic+1
            c(ic)=apm(ip,ix)
            ic=ic+1
            c(ic)=bpm(ip,ix)
          ENDDO
          if(ic.lt.Nph(ix)) then 
             DO ip=ic,Nph(ix)
               c(ip)=0
             ENDDO
          endif
          call RFFTI(Nph(ix),wsave)
          call RFFTB(Nph(ix),c,wsave)
          DO ip=1,Nph(ix)
             f(ix,ip)=0.5d0*c(ip)
          ENDDO
        ENDDO
      return
      end
C-----------------------------------------------------------
        SUBROUTINE sig_phi(Nmx,Nmp,Jmx,Lmx,Nx,
     +    Nph,phi,phi2,apm,bpm,cmphi,f)
C   loop over m - SUM_m[a_{lm}e^{i m phi}]
      IMPLICIT REAL*8(a-h,o-y)
      DIMENSION f(Nmx,Nmp),Nph(Nx)
      DIMENSION apm(0:Jmx,Nmx),bpm(0:Jmx,Nmx)
      DIMENSION phi(Nmp)
      DIMENSION cmphi(2*Nmp)

        Nphi=Nph(1)
        sum=0
        call set_phi(Nphi,phi2,phi,dphi)
        DO iq=1,Nphi                    ! loop over phi
          phi1=phi(iq)
          DO m=1,Lmx
            cmphi(m)=dcos(m*phi1)
            cmphi(Nmp+m)=dsin(m*phi1)
          ENDDO
          DO ix=1,Nx    !  loop over x
	    s=0.70710678118654752440d0*apm(0,ix)
            DO m=1,Lmx
               s=s+apm(m,ix)*cmphi(m)-
     +             bpm(m,ix)*cmphi(Nmp+m)
            ENDDO
            f(ix,iq)=s
            sum=sum+s*s
          ENDDO         !  end of the loop over x
      ENDDO             !  end of the loop over phi
c       print*,'sum^2=',sum/(Nphi+0.)
      return
        end
